/* grabmem -- allocates, initialises, and immediately frees a block of memory.
 * Copyright 2001 by Paul Jankowski                     version 2.2, 2001/08/21
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>
#include <math.h>
#include <ctype.h>
#include <stdlib.h>
#include <unistd.h>

/* Basic identification and version of the program: */
#define VER_STRING "grabmem version 2.2     Copyright 2001 by Paul Jankowski <pmj@users.sf.net>"
/* Should the program be quiet by default?  0 = verbose, 1 = quiet: */
#define ISQUIET 0
/* Should the program run in naughty mode by default?  0 = no, 1 = yes: */
#define ISNAUGHTY 0
/* Should the program run in bastard mode by default?  0 = no, 1 = yes: */
#define ISBASTARD 0
/* Default base of the stride size.  This should probably be 10: */
#define BASE 10
/* The value of the byte which is written to memory: */
#define FILLBYTE 0

/* Internal error codes: */
enum { HELP = -1,
       VERSION = -2,
       BADARGS = -3,
       BADNUM = -4,
       BADSTRIDE = -5,
       BADALLOC = -6 };

void terminate(int);
int printhelp();
/* double is assumed to be a 64-bit real number: */
double parseargs(int, char**, int*, int*,int*, int*);
int powertest(char*);
int allocate(char**, double, int);
int initialise(char**, double, int, int);
int deallocate(char**, int);
